﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace Enable_Session_Core.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            //Set value in Session object.
            HttpContext.Session.SetString("Person", "Mudassar Khan");
            return View();
        }


        [HttpPost]
        public IActionResult Index(string sessionName)
        {
            //Get value from Session object.
            ViewData["Message"] = HttpContext.Session.GetString(sessionName);
            return View();
        }
    }
}